Description

Segmentation, all default params fails because of a missing compulsory `Condition` parameter, which I cannot find in the interface.

Associated revisions

Revision c763b922 - 2019-03-20 07:44 PM - Rashad Kanavath

fix #21373 #21374: handle update optional status based on user-input

Parameters are marked required in descriptor file for certian

applications but they are only required if a parent parameter has a

"certain" value. So initial idea was to make all of those parameters

optional from OTB part. So that qgis can work correctly and was a easy

fix. But.. we (me and Antonie) decided not to take that route and

found a better fix.

`OtbParameterChoice` and its wrapper will update optional status of

all sub-parameters depending on the value of a choice parameter.

A test has been added to check this issue and will be available in

next commit.

History

#1 - 2019-02-25 01:13 PM - Jürgen Fischer

- Subject changed from OTB: Segmentation not wiorking to OTB: Segmentation not working

#2 - 2019-02-25 02:03 PM - Paolo Cavallini

- Assignee set to Rashad Kanavath

#3 - 2019-02-25 02:36 PM - Antoine Regimbeau

This is a known problem in OTB. It will be fixed in the next release. For more information see https://gitlab.orfeo-toolbox.org/orfeotoolbox/otb/issues/1814.

#4 - 2019-02-25 08:51 PM - Giovanni Manghi

- Resolution set to up/downstream

- Status changed from Open to Closed
